For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
            • GETGet Checkout
            • PUTUpdate Customer Messages
              • POSTCreate Order
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCheckoutsOrders

Create Order

POST
https://api.bigcommerce.com/stores/:store_hash/v3/checkouts/:checkoutId/orders
POST
/stores/:store_hash/v3/checkouts/:checkoutId/orders
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/checkouts/checkoutId/orders \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Response
1{
2 "data": {
3 "id": 75
4 },
5 "meta": {}
6}
Creates an order. ## Usage notes * Orders created will be set to incomplete order status. * You can create as many orders from the same order (cart) as you want. * Order duplication copies the existing order, assigns a new order number, and sets the new order status to `incomplete`. * Once the order is paid, the cart is deleted. * Cart deletion occurs if you are using BigCommerce to accept payments on orders.
Was this page helpful?
Previous

Delete Order Level Fees from Checkout

Next

Get Checkout Settings

Built with

Creates an order.

Usage notes

  • Orders created will be set to incomplete order status.
  • You can create as many orders from the same order (cart) as you want.
  • Order duplication copies the existing order, assigns a new order number, and sets the new order status to incomplete.
  • Once the order is paid, the cart is deleted.
  • Cart deletion occurs if you are using BigCommerce to accept payments on orders.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Checkoutsmodifystore_checkouts
Checkoutsread-onlystore_checkouts_read_only
Checkout Contentmodifystore_checkout_content
Checkout Contentread-onlystore_checkout_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

checkoutIdstringRequired

ID of the checkout; the same as the cart ID.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

dataobject
metaobject
Response metadata.